<div class="appt-classes-container">
  <kendo-grid [data]="gridView" [pageSize]="pageSize" [skip]="skip" [pageable]="true" [columnMenu]="false"
              [filterable]="true" [filter]="state.filter"
              (dataStateChange)="dataStateChange($event)" [groupable]="false"
              [reorderable]="reorder" [sortable]="{
              allowUnsort: allowUnsort,
              mode: multiple ? 'multiple' : 'single'
            }" [sort]="sort" (sortChange)="sortChange($event)" (groupChange)="groupChange($event)">

    <kendo-grid-column field="serviceCode" title="Service Code" [width]="100">
    </kendo-grid-column>

    <kendo-grid-column field="serviceName" title="Service Name" [width]="100">
    </kendo-grid-column>

    <kendo-grid-column field="duration" title="Duration" [width]="180">
      <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
        {{ dataItem.duration }} min
      </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="practitionerName" title="Practitioner" [width]="120">
    </kendo-grid-column>
    <kendo-grid-column field="notes" title="Notes" [width]="200">
    </kendo-grid-column>

    <kendo-grid-column title="Action" [width]="80">
      <ng-template kendoGridCellTemplate let-dataItems let-rowIndex="rowIndex">
        <button
                *appAccess="moduleName; lookFor: 'E'"
          class="item-setting-btn border-0 bg-transparent cursor-pointer" (click)="editPlannedService(dataItems)">
          <mat-icon class="m-0" style="color: #979797;">edit</mat-icon>
        </button>

        <button
                *appAccess="moduleName; lookFor: 'D'"
          class="item-setting-btn border-0 bg-transparent cursor-pointer" (click)="deletePlannedService(dataItems.id)">
          <mat-icon class="m-0" style="color: #979797;">delete</mat-icon>
        </button>
      </ng-template>
    </kendo-grid-column>
  </kendo-grid>
</div>

<ng-template #deleteConfirmation>
  <div style="padding: 20px;">
    <span>Deleted planned service can not be restored.</span>
  </div>
</ng-template>
